	   import java.io.*;
	   import java.util.*;
	   import javax.swing.*;
       import javax.swing.table.*;
       import java.awt.*;

public class readfromfile
{
public static void main(String args[]) throws IOException
{
String isim=JOptionPane.showInputDialog("enter file name:(a.txt)");	
File f=new File(isim);
BufferedReader fin=new BufferedReader(new FileReader(f));
double number=Double.parseDouble(fin.readLine());
String s="number = "+number;
JOptionPane.showMessageDialog(null,s,"sequential file reading",JOptionPane.PLAIN_MESSAGE);
System.exit(0);
}
}
